<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <div style="margin-bottom:50px;">
                <h5>
                    <span jhiTranslate="mpmApp.salesUnitRequirement.home.title">Draft VSO</span>
                </h5>
            </div>
            <p-tabView>
                <p-tabPanel header="Not Required">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_NOT_REQUIRED"
                        (fnCallback) = "doRefresh()"
                        *ngIf="statusOne">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusOne"
                    ></jhi-fetching-data>
                </p-tabPanel>
                <p-tabPanel header="Waiting For Approval">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_WAITING_FOR_APPROVAL"
                        (fnCallback) = "doRefresh()"
                        *ngIf="statusTwo">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusTwo"
                    ></jhi-fetching-data>
                </p-tabPanel>
                <p-tabPanel header="Not Approved">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_REJECTED"
                        (fnCallback) = "doRefresh()"
                        *ngIf="statusThree">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusThree"
                    ></jhi-fetching-data>
                </p-tabPanel>
                <p-tabPanel header="Approved">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_APPROVED"
                        (fnCallback) = "doRefresh()"
                        *ngIf="statusFour">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusFour"
                    ></jhi-fetching-data>
                </p-tabPanel>
            </p-tabView>

            <!-- <p-dataTable
                [value]="salesUnitRequirements"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['../sales-unit-requirement-new']">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.salesUnitRequirement.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>   
                            </div>
                        </form>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.salesUnitRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.downPayment'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.downPayment | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.customer'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">{{rowData.customerName}}</div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.salesman'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.salesmanId">{{rowData.salesmanName}}</div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.internal'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.internalId">
                            <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.saleType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.saleTypeId">
                            <a [routerLink]="['../sale-type', rowData.saleTypeId  ]" >{{rowData.saleTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.billTo'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.billToId">
                            <a [routerLink]="['../bill-to', rowData.billToId  ]" >{{rowData.billToName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.shipTo'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.shipToId">
                            <a [routerLink]="['../ship-to', rowData.shipToId  ]" >{{rowData.shipToName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.broker'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.brokerId">
                            <a [routerLink]="['../sales-broker', rowData.brokerId  ]" >{{rowData.brokerName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.color'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.colorId">
                            <a [routerLink]="['../feature', rowData.colorId  ]" >{{rowData.colorDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.product'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.productId">
                            <a [routerLink]="['../motor', rowData.productId  ]" >{{rowData.productName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="Discount Approval">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.approvalDiscount">
                            {{rowData.approvalDiscount | ApprovalStatus}} 
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitRequirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button
                            (click)="submitVSO(rowData)"
                            pButton 
                            type="button"
                            icon="fa-share"
                            class="flat-button"
                        >
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['../sales-unit-requirement/' + rowData.idRequirement + '/detail']"
                                icon="fa-eye"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['../sales-unit-requirement/'+ rowData.idRequirement + '/edit']"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable> -->
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>